import * as z from 'zod';
export const NpiProviderAggregateResultSchema = z.object({  _count: z.object({
    id: z.number(),
    userId: z.number(),
    npiNumber: z.number(),
    providerName: z.number(),
    sortOrder: z.number(),
    createdAt: z.number(),
    user: z.number(),
    claims: z.number(),
    payments: z.number(),
    commissionBatches: z.number(),
    appointmentProcedures: z.number()
  }).optional(),
  _sum: z.object({
    id: z.number().nullable(),
    userId: z.number().nullable(),
    sortOrder: z.number().nullable()
  }).nullable().optional(),
  _avg: z.object({
    id: z.number().nullable(),
    userId: z.number().nullable(),
    sortOrder: z.number().nullable()
  }).nullable().optional(),
  _min: z.object({
    id: z.number().int().nullable(),
    userId: z.number().int().nullable(),
    npiNumber: z.string().nullable(),
    providerName: z.string().nullable(),
    sortOrder: z.number().int().nullable(),
    createdAt: z.date().nullable()
  }).nullable().optional(),
  _max: z.object({
    id: z.number().int().nullable(),
    userId: z.number().int().nullable(),
    npiNumber: z.string().nullable(),
    providerName: z.string().nullable(),
    sortOrder: z.number().int().nullable(),
    createdAt: z.date().nullable()
  }).nullable().optional()});